TRUNCATE(1)

NAME
truncate - Shrink or extend the size of each file to the specified size.

SYNOPSIS
truncate [-o|--io-blocks] [-c|--no-create] [-r|--reference] [-s|--size] [-h|--help] [-V|--version] <FILE>

DESCRIPTION
Shrink or extend the size of each file to the specified size.

OPTIONS

-o, --io-blocks
    treat SIZE as the number of I/O blocks of the file rather than bytes (NOT IMPLEMENTED)

-c, --no-create
    do not create files that do not exist

-r, --reference <RFILE>
    base the size of each file on the size of RFILE

-s, --size <SIZE>
    set or adjust the size of each file according to SIZE, which is in bytes unless --io-blocks is specified

-h, --help
    Print help

-V, --version
    Print version

<FILE>

EXTRA
## Examples Set a size of 10 GB to an existing file, or create a new file with the specified size: truncate {{[-s|--size]}} 10G {{path/to/file}} Extend the file size by 50 MiB, fill with holes (which reads as zero bytes): truncate {{[-s|--size]}} +50M {{path/to/file}} Shrink the file by 2 GiB, by removing data from the end of file: truncate {{[-s|--size]}} -2G {{path/to/file}} Empty the file's content: truncate {{[-s|--size]}} 0 {{path/to/file}} Empty the file's content, but do not create the file if it does not exist: truncate {{[-s|--size]}} 0 {{[-c|--no-create]}} {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0